For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKUs
      • PATCHUpdate SKU
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
EcommerceProducts

List Products & SKUs

GET
https://api.webflow.com/v2/sites/:site_id/products
GET
/v2/sites/:site_id/products
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products \
> -H "Authorization: Bearer <token>" \
> -d offset=0 \
> -d limit=100
1{
2 "items": [
3 {
4 "product": {
5 "id": "660eb7a486d1d6e0412292d7",
6 "cmsLocaleId": "653ad57de882f528b32e810e",
7 "lastPublished": "2024-04-04T14:24:19.467Z",
8 "lastUpdated": "2024-04-04T14:30:19.282Z",
9 "createdOn": "2024-04-04T14:22:28.547Z",
10 "isArchived": false,
11 "isDraft": false,
12 "fieldData": {
13 "name": "T-Shirt",
14 "slug": "t-shirt",
15 "description": "A plain t-shirt",
16 "shippable": true,
17 "sku-properties": [
18 {
19 "id": "31b77fa66fa376c2c0abb458d5be39fb",
20 "name": "Size",
21 "enum": [
22 {
23 "id": "8d21a625d655ab260e9941c27180c75b",
24 "name": "Small",
25 "slug": "small"
26 },
27 {
28 "id": "ecdca17106ad86c0dfe3b5f3ac8be6c9",
29 "name": "Medium",
30 "slug": "medium"
31 },
32 {
33 "id": "ec7877d6137ecf7ec86f726c135b1812",
34 "name": "Large",
35 "slug": "large"
36 }
37 ]
38 },
39 {
40 "id": "74d3738e62c568d5634dd6989daec5ec",
41 "name": "Color",
42 "enum": [
43 {
44 "id": "e539b0d6c3a609cd06ddb2da804f68f0",
45 "name": "Royal Blue",
46 "slug": "royal-blue"
47 },
48 {
49 "id": "68d98f2fbafc0fd45651cddc44798dd0",
50 "name": "Crimson Red",
51 "slug": "crimson-red"
52 },
53 {
54 "id": "996cd95c97fd5620d0a374c835b37205",
55 "name": "Forrest Green",
56 "slug": "forrest-green"
57 }
58 ]
59 }
60 ],
61 "tax-category": "standard-taxable",
62 "default-sku": "66072fb71b89448912e2681c",
63 "ec-product-type": "b6ccc1830db4b1babeb06a9ac5f6dd76"
64 }
65 },
66 "skus": [
67 {
68 "id": "580e63fc8c9a982ac9b8b745",
69 "cmsLocaleId": "653ad57de882f528b32e810e",
70 "lastPublished": "2023-03-17T18:47:35.560Z",
71 "lastUpdated": "2023-03-17T18:47:35.560Z",
72 "createdOn": "2023-03-17T18:47:35.560Z",
73 "fieldData": {
74 "name": "Blue T-shirt",
75 "slug": "t-shirt-blue",
76 "price": {
77 "value": 2499,
78 "unit": "USD",
79 "currency": "USD"
80 },
81 "sku-values": {
82 "color": "blue",
83 "size": "small"
84 },
85 "compare-at-price": {
86 "value": 100,
87 "unit": "USD"
88 },
89 "ec-sku-billing-method": "one-time",
90 "ec-sku-subscription-plan": {
91 "interval": "day",
92 "frequency": 1,
93 "trial": 7,
94 "plans": [
95 {
96 "platform": "stripe",
97 "id": "string",
98 "status": "active"
99 }
100 ]
101 },
102 "main-image": "https://www.example.com/image.jpg",
103 "sku": "1234567890",
104 "sku-properties": [
105 {
106 "id": "Color",
107 "name": "Color",
108 "enum": [
109 {
110 "id": "royal-blue",
111 "name": "Royal Blue",
112 "slug": "royal-blue"
113 }
114 ]
115 }
116 ]
117 }
118 }
119 ]
120 }
121 ],
122 "pagination": {
123 "limit": 100,
124 "offset": 0,
125 "total": 100
126 }
127}

Retrieve all products for a site.

Use limit and offset to page through all products with subsequent requests. All SKUs for each product will also be fetched and returned. The limit, offset and total values represent Products only and do not include any SKUs.

Required scope | ecommerce:read

Was this page helpful?
Previous

Create Product & SKU

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

Response

Request was successful
itemslist of objects
List of Item objects within the Collection. Contains product and skus keys for each Item
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error